# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-09-25 01:47
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('logistic', '0002_auto_20170924_1709'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Cor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descricao', models.CharField(choices=[('1', 'Rosa'), ('2', 'Roxo')], max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Teste',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=45, verbose_name='Nome')),
                ('data_hora', models.DateTimeField(default=django.utils.timezone.now)),
                ('resultado', models.CharField(max_length=45)),
                ('litros', models.IntegerField(default=0)),
                ('foto', models.ImageField(upload_to='testes')),
                ('cor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='colortest.Cor')),
                ('funcionario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('ponto', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='logistic.Ponto')),
            ],
        ),
    ]
